Skip to main content
`Ctrl`+`K`

# NEPErrorView

Displays the errors associated with the computed solution (as well as the eigenvalues).

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPErrorView(NEP nep,NEPErrorType etype,PetscViewer viewer)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- etype - error type

- viewer - optional visualization context

## Options Database Keys

- -nep_error_absolute - print absolute errors of each eigenpair

- -nep_error_relative - print relative errors of each eigenpair

- -nep_error_backward - print backward errors of each eigenpair

## Notes

By default, this function checks the error of all eigenpairs and prints the eigenvalues if all of them are below the requested tolerance. If the viewer has format `PETSC_VIEWER_ASCII_INFO_DETAIL` then a table with eigenvalues and corresponding errors is printed.

All the command-line options listed above admit an optional argument specifying the viewer type and options. For instance, use `-nep_error_relative :myerr.m:ascii_matlab` to save the errors in a file that can be executed in Matlab.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSolve()`, `NEPValuesView()`, `NEPVectorsView()`

## Level

intermediate

## Location

src/nep/interface/nepview.c

## Examples

src/nep/tutorials/ex54f.F90
src/nep/tutorials/ex21.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex22.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages